## ros-kinetic-loki-robot 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(loki_robot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-loki-robot (0.0.2-0xenial) xenial; urgency=high

  * Merge branch 'fix-#1 <https://github.com/UbiquityRobotics/loki_robot/issues/1>' of github.com:UbiquityRobotics/loki_robot
  * Merge pull request #3 <https://github.com/UbiquityRobotics/loki_robot/issues/3> from UbiquityRobotics/fix-#1 <https://github.com/UbiquityRobotics/fix-/issues/1>
    Mirror magni_robot in loki_robot
  * Contributors: Rohan Agrawal

 -- Rohan Agrawal <send2arohan@gmail.com>  Sat, 30 Dec 2017 08:00:00 -0000

ros-kinetic-loki-robot (0.0.1-0xenial) xenial; urgency=high

  * make metapackage pull in all the subpackages
    you need to use exec_depend on all the subpackages in the metapackage
    otherwise the installing the metapackage won't pull in the others
  * remove old ur launch stuff, start moving to metapackage
    This is the first step in resolving issue #1 <https://github.com/UbiquityRobotics/loki_robot/issues/1>
  * Scrubbed repository down to the README.md .
  * Using format 2, added ubiquity_launches dependancy
  * added loki_robot meta package
  * Contributors: Rohan Agrawal, Wayne C. Gramlich

 -- Rohan Agrawal <send2arohan@gmail.com>  Wed, 27 Dec 2017 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-loki-robot
Section: misc
Priority: extra
Maintainer: Rohan Agrawal <send2arohan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-loki-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-loki-bringup, ros-kinetic-loki-demos, ros-kinetic-loki-description, ros-kinetic-loki-nav, ros-kinetic-loki-teleop
Description: Metapackage for loki configuration

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-loki-robot//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
